Subject: Re: SNMP Bulk Data Transfer

From: Randy Presuhn <[email-masked]>
Date: Fri, 20 Nov 1998 16:42:20 -0800 (PST)

Hi - 

> Date: Mon, 16 Nov 1998 16:42:25 -0500
> To: Distributed Management WG <[email-masked]>, SNMPv3 WG <[email-masked]>
> From: Bob Stewart <[email-masked]>
> Subject: SNMP Bulk Data Transfer
> 
> As I said I would at the last IETF (although rather later), and at the
> gentle prodding of Area Director Bert, I just submitted two Internet Drafts
> for a way to do bulk transfer of MIB data:
> 
> 	draft-stewart-bulk-file-mib-01.txt
> 	draft-stewart-ftp-client-mib-01.txt
> 
> Anyway that's what I called them.  I put them under my name as they have no
> working group home yet.  It is my belief that the right home for them is
> the Distributed Management Working Group.

Disman chair says:

I think you're right.

I also think we have a problem: too many work items and too little
progress.  I am relectant to request that this be added to our plate,
and am also reluctant to support the approval of a new WG (we all
know where the resources would come from).  I am open to suggestions.

> I submitted them as Cisco MIBs because what I'm submitting is what Cisco
> has implemented and shipped.  It is not my intention to foist Cisco
> products off as a standard but to submit for review and consideration as a
> standard work that I had in mind for the IETF from its inception, but the
> IETF working groups have been too busy.
> 
> I'd expect if we find reasonable changes necessary Cisco will move to the
> resulting standard MIB.

This is good news.

> In the Bulk File MIB document I noted that Cisco has submitted patent
> applications relating to some of the technology in that MIB.  Should the
> IETF wish to adopt the technology it is Cisco's intent to comply with the
> usual IETF expectations regarding patents.
> 
> 	Bob

This (the last sentence :-) is welcome information.

 -----------------------------------------------------------------------
 Randy Presuhn           Email: [email-masked] http://www.bmc.com
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 -----------------------------------------------------------------------
 In accordance with the BMC Communications Systems Use and Security
 Policy, I explicitly state that although my affiliation with BMC may be
 apparent, implied, or provided, my opinions are not necessarily those
 of BMC Software and that all external representations on behalf of
 BMC must first be cleared with a member of "the top management team."
 -----------------------------------------------------------------------

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sun, 22 Nov 1998 21:20:13 +0100

>>>>> Randy Presuhn writes:

>> Anyway that's what I called them.  I put them under my name as they
>> have no working group home yet.  It is my belief that the right
>> home for them is the Distributed Management Working Group.

Randy> Disman chair says:

Randy> I think you're right.

I think the bulk data transfer and latency problem needs a far more
general solution. I am especially concerned that the FTP approach
means to go back to `no security' or `incompatible security' (with all
the interesting security parameter mapping problems). I prefer a more
general solution within SNMP and I propose to solve the bulk data
transfer problem within the SNMPv3 working group. (Some people are
right now prototyping possible solutions. More details about this at
the beginning of December.)
							Juergen
-- 
Juergen Schoenwaelder  [email-masked] http://www.cs.tu-bs.de/~schoenw
Technical University Braunschweig, Dept. Operating Systems & Computer Networks
Bueltenweg 74/75, 38106 Braunschweig, Germany.        (Tel. +49 531 / 391 3289)